Package org.apache.any23.extractor.html

## Class HCardExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.HCardExtractorTest

-     public class HCardExtractorTest
      extends AbstractExtractorTestCase

  `HCardExtractor` test case.

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HCardExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `testAbbrTitleEverything()` |
    `void` | `testAdr()` |
    `void` | `testAncestors()` |
    `void` | `testArea()` |
    `void` | `testAreaFull()` |
    `void` | `testBasic()` |
    `void` | `testBirthDayDate()` |
    `void` | `testBirthDayDateTime()` |
    `void` | `testBirthDayDateTimeTimeZone()` |
    `void` | `testCategories()` |
    `void` | `testCumulativeHNames()` | Tests that the HCardName data is not cumulative and is cleaned up at each extraction.
    `void` | `testEMailNotUri()` |
    `void` | `testEMailNotUriReal()` |
    `void` | `testExtractionPerformance()` | Tests extractor performances.
    `void` | `testfnOrg()` |
    `void` | `testGeoAbbr()` |
    `void` | `testHeader()` |
    `void` | `testHonorificAdditionalMultiple()` |
    `void` | `testHonorificAdditionalSingle()` |
    `void` | `testIgnoreChildren()` |
    `void` | `testIgnoreUnknowns()` |
    `void` | `testImageSrc()` |
    `void` | `testImgAlt()` |
    `void` | `testImgSrcDataUrl()` |
    `void` | `testImpliedNames()` |
    `void` | `testInclude()` |
    `void` | `testIncludePattern()` |
    `void` | `testInfiniteLoop()` | Tests the detection and prevention of the inclusion of an ancestor by a sibling node.
    `void` | `testMailto1()` |
    `void` | `testMailto2()` |
    `void` | `testMultipleclassNamesOnVCard()` |
    `void` | `testMultipleUrls()` |
    `void` | `testNoMicroformats()` |
    `void` | `testNoNullPointers()` |
    `void` | `testNotes()` |
    `void` | `testObjectDataDataUri()` |
    `void` | `testObjectDataHttpUri()` |
    `void` | `testPhotoLogo()` |
    `void` | `testRelativeUrl()` |
    `void` | `testRelativeUrlBase()` |
    `void` | `testRelativeUrlXmlBase1()` |
    `void` | `testRelativeUrlXmlBase2()` |
    `void` | `testRomanianWikipedia()` |
    `void` | `testSingleton()` |
    `void` | `testTel()` |
    `void` | `testUid()` |
    `void` | `testUidFull()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HCardExtractorTest

          public HCardExtractorTest()

  - ### Method Detail

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testNoNullPointers

          public void testNoNullPointers()

    - #### testEMailNotUriReal

          public void testEMailNotUriReal()
                                   throws Exception

      Throws:
        `Exception`

    - #### testTel

          public void testTel()
                       throws Exception

      Throws:
        `Exception`

    - #### testAbbrTitleEverything

          public void testAbbrTitleEverything()
                                       throws Exception

      Throws:
        `Exception`

    - #### testGeoAbbr

          public void testGeoAbbr()
                           throws Exception

      Throws:
        `Exception`

    - #### testAncestors

          public void testAncestors()
                             throws Exception

      Throws:
        `Exception`

    - #### testfnOrg

          public void testfnOrg()
                         throws Exception

      Throws:
        `Exception`

    - #### testInclude

          public void testInclude()
                           throws Exception

      Throws:
        `Exception`

    - #### testHeader

          public void testHeader()
                          throws Exception

      Throws:
        `Exception`

    - #### testAreaFull

          public void testAreaFull()
                            throws Exception

      Throws:
        `Exception`

    - #### testCategories

          public void testCategories()
                              throws Exception

      Throws:
        `Exception`

    - #### testSingleton

          public void testSingleton()
                             throws Exception

      Throws:
        `Exception`

    - #### testUidFull

          public void testUidFull()
                           throws Exception

      Throws:
        `Exception`

    - #### testRomanianWikipedia

          public void testRomanianWikipedia()
                                     throws Exception

      Throws:
        `Exception`

    - #### testNoMicroformats

          public void testNoMicroformats()
                                  throws Exception,
                                         IOException,
                                         ExtractionException

      Throws:
        `Exception`
        `IOException`
        `ExtractionException`

    - #### testBasic

          public void testBasic()
                         throws Exception

      Throws:
        `Exception`

    - #### testMultipleclassNamesOnVCard

          public void testMultipleclassNamesOnVCard()
                                             throws Exception

      Throws:
        `Exception`

    - #### testImpliedNames

          public void testImpliedNames()
                                throws Exception

      Throws:
        `Exception`

    - #### testIgnoreUnknowns

          public void testIgnoreUnknowns()
                                  throws Exception

      Throws:
        `Exception`

    - #### testMailto1

          public void testMailto1()
                           throws Exception

      Throws:
        `Exception`

    - #### testMailto2

          public void testMailto2()
                           throws Exception

      Throws:
        `Exception`

    - #### testRelativeUrl

          public void testRelativeUrl()
                               throws Exception

      Throws:
        `Exception`

    - #### testRelativeUrlBase

          public void testRelativeUrlBase()
                                   throws Exception

      Throws:
        `Exception`

    - #### testRelativeUrlXmlBase1

          public void testRelativeUrlXmlBase1()
                                       throws Exception

      Throws:
        `Exception`

    - #### testRelativeUrlXmlBase2

          public void testRelativeUrlXmlBase2()
                                       throws Exception

      Throws:
        `Exception`

    - #### testMultipleUrls

          public void testMultipleUrls()
                                throws Exception

      Throws:
        `Exception`

    - #### testImageSrc

          public void testImageSrc()
                            throws Exception

      Throws:
        `Exception`

    - #### testPhotoLogo

          public void testPhotoLogo()
                             throws Exception

      Throws:
        `Exception`

    - #### testImgSrcDataUrl

          public void testImgSrcDataUrl()
                                 throws Exception

      Throws:
        `Exception`

    - #### testHonorificAdditionalSingle

          public void testHonorificAdditionalSingle()
                                             throws Exception

      Throws:
        `Exception`

    - #### testHonorificAdditionalMultiple

          public void testHonorificAdditionalMultiple()
                                               throws Exception

      Throws:
        `Exception`

    - #### testEMailNotUri

          public void testEMailNotUri()
                               throws Exception

      Throws:
        `Exception`

    - #### testObjectDataHttpUri

          public void testObjectDataHttpUri()
                                     throws Exception

      Throws:
        `Exception`

    - #### testObjectDataDataUri

          public void testObjectDataDataUri()
                                     throws Exception

      Throws:
        `Exception`

    - #### testImgAlt

          public void testImgAlt()
                          throws Exception

      Throws:
        `Exception`

    - #### testAdr

          public void testAdr()
                       throws Exception

      Throws:
        `Exception`

    - #### testBirthDayDate

          public void testBirthDayDate()
                                throws Exception

      Throws:
        `Exception`

    - #### testBirthDayDateTime

          public void testBirthDayDateTime()
                                    throws Exception

      Throws:
        `Exception`

    - #### testBirthDayDateTimeTimeZone

          public void testBirthDayDateTimeTimeZone()
                                            throws Exception

      Throws:
        `Exception`

    - #### testArea

          public void testArea()
                        throws Exception

      Throws:
        `Exception`

    - #### testNotes

          public void testNotes()
                         throws Exception

      Throws:
        `Exception`

    - #### testIncludePattern

          public void testIncludePattern()
                                  throws Exception

      Throws:
        `Exception`

    - #### testUid

          public void testUid()
                       throws Exception

      Throws:
        `Exception`

    - #### testIgnoreChildren

          public void testIgnoreChildren()
                                  throws Exception

      Throws:
        `Exception`

    - #### testCumulativeHNames

          public void testCumulativeHNames()
                                    throws Exception

      Tests that the HCardName data is not cumulative and is cleaned up at each extraction.
      Throws:
        `Exception` - if there is an error asserting the test data.

    - #### testInfiniteLoop

          public void testInfiniteLoop()
                                throws IOException,
                                       ExtractionException

      Tests the detection and prevention of the inclusion of an ancestor by a sibling node. This test is related to issue ANY23-58.
      Throws:
        `IOException` - if there is an error interpreting the input data
        `ExtractionException` - if there is an exception during extraction

    - #### testExtractionPerformance

          public void testExtractionPerformance()

      Tests extractor performances. This test is related to issue ANY23-76.